=== debian/changelog ===
fast-float (3.9.0-1) unstable; urgency=medium

  * New upstream release 3.9.0.
  * Make fast_float_all.h available under /usr/include/fast_float/

 -- Fukui Daichi <a.dog.will.talk@akane.waseda.jp>  Sun, 05 Feb 2023 06:47:03 +0000

fast-float (3.5.1-1) unstable; urgency=low

  * Initial release. Closes: #1019961

 -- Fukui Daichi <a.dog.will.talk@akane.waseda.jp>  Thu, 15 Sep 2022 14:47:28 +0000
