=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%fast-float-$1.tar.gz%,repacksuffix=+ds,dversionmangle=s/\+ds\d*$//" \
https://github.com/fastfloat/fast_float/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
