=== debian/changelog ===
fast-float (8.0.0-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release 8.0.0 (Closes: #1095037)
  * Add debian/gbp.conf
  * Import packaging to Debian Salsa
  * Add debian/upstream/metadata

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 11 Feb 2025 18:01:56 -0500
