=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
#export DH_VERBOSE = 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	      -DCMAKE_INSTALL_DATAROOTDIR=lib

override_dh_auto_install:
	dh_auto_install --destdir=debian/libfast-float-dev/
	python3 script/amalgamate.py > fast_float_all.h
