=== debian/changelog ===
fast-float (8.1.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release: v8.1.0. (Closes: #1115913)
  * Fix FTBFS after prior build and remove superfluous d/install file; thanks to
    Lucas Nussbaum for providing a patch. (Closes: #1045133)
  * d/control:
    - Add dh-sequence-single-binary, dpkg-build-api (= 1) and doctest-dev to
      Build-Depends, and (>= 3.14) version constraint to cmake dependency.
    - Bump Standards-Version to 4.7.2; no changes required.
    - Convert libfast-float-dev package to Architecture: all. (Closes: #1098316)
  * d/copyright: Refresh authors and update to current triple exclusive-or
    license grants with new Boost Software License v1.0 option.
  * d/rules: Enable upstream test suite and switch to CMake Ninja generator.
  * Add debian/salsa-ci.yml for Salsa CI/CD pipelines.

 -- Peter J. Mello <admin@petermello.net>  Thu, 09 Oct 2025 11:46:41 -0700
