=== debian/control ===
Source: fast-float
Section: libdevel
Priority: optional
Maintainer: Fukui Daichi <a.dog.will.talk@akane.waseda.jp>
Build-Depends: debhelper-compat (= 13), dh-sequence-single-binary,
 dpkg-build-api (= 1), cmake (>= 3.14), ninja-build, python3,
 doctest-dev <!nocheck>
Standards-Version: 4.7.2
Homepage: https://github.com/fastfloat/fast_float
Vcs-Git: https://salsa.debian.org/debian/fast-float.git
Vcs-Browser: https://salsa.debian.org/debian/fast-float
Rules-Requires-Root: no

Package: libfast-float-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: C++ from_chars function implementations for float and double types
 The FastFloat library provides fast, header-only implementations for the C++
 from_chars functions for converting ASCII strings representing decimal values
 into binary float and double types with exact rounding (including the less-
 biased "to even" approach). These fast_float functions run many times faster
 than comparable number parsing functions from the current C++ standard
 libraries from GCC and LLVM.
 .
 FastFloat provides performance comparable to that of the fast_double_parser
 library, but uses an updated algorithm that has been reworked from the ground
 up and offers an API more in keeping with the expectations of C++ programmers.
 .
 This package contains the library header files for inclusion by other projects
 and an amalgamated single-file header, fast_float_all.h, for added convenience.
