=== debian/rules ===
#!/usr/bin/make -f
# SPDX-FileCopyrightText: © 2022, Fukui Daichi <a.dog.will.talk@akane.waseda.jp>
# SPDX-FileCopyrightText: © 2025, Peter J. Mello <admin@petermello.net>
#
# SPDX-License-Identifier: Apache-2.0 OR MIT

export DH_VERBOSE             ::= 1
export DPKG_EXPORT_BUILDFLAGS ::= 1

include /usr/share/dpkg/default.mk

PKG_INSTALL_DIR   ::= $(CURDIR)/debian/libfast-float-dev


%:
	dh $@ -v -Scmake+ninja


override_dh_auto_configure:
	dh_auto_configure -O-v -O-Scmake+ninja -- -DFASTFLOAT_BENCHMARKS:BOOL=OFF \
		-DFASTFLOAT_CONFIG_INSTALL_DIR:PATH=/usr/share/cmake/FastFloat \
		-DFASTFLOAT_CONSTEXPR_TESTS:BOOL=OFF -DFASTFLOAT_EXHAUSTIVE:BOOL=OFF \
		-DFASTFLOAT_FIXEDWIDTH_TESTS:BOOL=OFF \
		-DFASTFLOAT_SUPPLEMENTAL_TESTS:BOOL=OFF \
		-DFASTFLOAT_TEST:BOOL=ON -DSYSTEM_DOCTEST:BOOL=ON

execute_after_dh_auto_install:
	@mkdir -pv "$(PKG_INSTALL_DIR)/usr/include/fast_float"
	@python3 "$(CURDIR)/script/amalgamate.py" --license TRIPLE \
		--output "$(PKG_INSTALL_DIR)/usr/include/fast_float/fast_float_all.h" \
			&& echo "Amalgamated header file generated successfully!"
