=== debian/watch ===
# SPDX-FileCopyrightText: © 2022, Fukui Daichi <a.dog.will.talk@akane.waseda.jp>
# SPDX-FileCopyrightText: © 2025, Peter J. Mello <admin@petermello.net>
# SPDX-License-Identifier: Apache-2.0 OR MIT
version=4
opts="pgpmode=none,searchmode=plain" \
 https://api.github.com/repos/fastfloat/fast_float/git/matching-refs/tags/ \
  https://api.github.com/repos/fastfloat/fast_float/git/refs/tags/@ANY_VERSION@
